apiVersion: v1
kind: DeploymentConfig
metadata:
  labels:
    application: jdg-materialization
  name: testdb-datagrid
  namespace: maschmid
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    name: testdb-datagrid
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        application: testdb-datagrid
        name: testdb-datagrid
      name: testdb-datagrid
    spec:
      containers:
      - env:
        - name: ENV_FILES
          value: /etc/datagrid-environment/*
        - name: HOTROD_SERVICE_NAME
          value: testdb-datagrid-hotrod
        - name: CACHE_TYPE_DEFAULT
          value: replicated
        - name: OPENSHIFT_KUBE_PING_LABELS
          value: application=testdb-datagrid
        - name: HOTROD_AUTHENTICATION
          value: "true"
        - name: INFINISPAN_CONNECTORS
          value: hotrod,memcached,rest
        - name: JGROUPS_CLUSTER_PASSWORD
          value: password
        - name: JGROUPS_ENCRYPT_KEYSTORE
          value: jgroups.jceks
        - name: OPENSHIFT_KUBE_PING_NAMESPACE
          value: maschmid
        - name: CONTAINER_SECURITY_ROLES
          value: admin=ALL
        - name: DATAGRID_SPLIT
          value: "true"
        - name: CONTAINER_SECURITY_ROLE_MAPPER
          value: identity-role-mapper
        - name: JGROUPS_ENCRYPT_PASSWORD
          value: password
        - name: JGROUPS_ENCRYPT_SECRET
          value: jdg-materialization-jgroups
        - name: JGROUPS_ENCRYPT_KEYSTORE_DIR
          value: /etc/jgroups-encrypt-secret-volume
        - name: TEST_CACHE_SECURITY_AUTHORIZATION_ENABLED
          value: "true"
        - name: PASSWORD
          value: JBoss.123
        - name: TEST_CACHE_SECURITY_AUTHORIZATION_ROLES
          value: admin
        - name: USERNAME
          value: jdg
        - name: CACHE_NAMES
          value: default
        - name: DATAVIRT_CACHE_NAMES
          value: PersonCache
        - name: JGROUPS_ENCRYPT_NAME
          value: xpaasqe
        - name: ADMIN_GROUP
          value: REST,admin,___schema_manager
        image: docker-registry.engineering.redhat.com/ooliveir/datagrid71-openshift:CLOUD-2136
        imagePullPolicy: Always
        livenessProbe:
          exec:
            command:
            - /bin/sh
            - -c
            - /opt/datagrid/bin/livenessProbe.sh
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: testdb-datagrid
        ports:
        - containerPort: 8778
          name: jolokia
          protocol: TCP
        - containerPort: 8888
          name: ping
          protocol: TCP
        - containerPort: 11333
          protocol: TCP
        readinessProbe:
          exec:
            command:
            - /bin/sh
            - -c
            - /opt/datagrid/bin/readinessProbe.sh
          failureThreshold: 3
          initialDelaySeconds: 5
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /opt/datagrid/standalone/partitioned_data
          name: dgsplit
        - mountPath: /ssl
          name: ssl
          readOnly: true
        - mountPath: /etc/jgroups-encrypt-secret-volume
          name: jgroups-volume
          readOnly: true
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: jgroups-volume
        secret:
          defaultMode: 420
          secretName: jdg-materialization-jgroups
      - name: dgsplit
        persistentVolumeClaim:
          claimName: dgsplit
      - name: ssl
        secret:
          defaultMode: 420
          secretName: keystore.jks-secret
  test: false
  triggers:
  - type: ConfigChange
